%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Gets a file from a FTP, GOPHER or HTTP server
Name:		curl
Epoch:		1
Version:	7.54.1
%define subrel	4
Release:	%mkrel 2
License:	BSD-like
Group:		Networking/Other
URL:		http://curl.haxx.se
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
Source1:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma.asc
Patch4:		%{name}-7.30.0-multilib.patch
Patch7:		%{name}-7.36.0-debug.patch
# Upstream patch fixing a segfault introduced in 7.54.1
Patch8:		6208547002b4d897c14364661ca4e2e5d0b80006.patch
Patch9:         curl-7.54.1-CVE-2017-1000099.patch
Patch10:        curl-7.54.1-CVE-2017-1000100.patch
Patch11:        curl-7.54.1-CVE-2017-1000101.patch
Patch12:	curl-7.54.1-CVE-2017-1000254.patch
Patch13:	curl-7.56.0-CVE-2017-1000257.patch
Patch14:	curl-7.56.1-CVE-2017-8816.patch
Patch15:	curl-7.54.1-CVE-2017-8817.patch

BuildRequires:	groff-for-man
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libssh2-devel
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
#BuildRequires:	c-ares-devel
# (misc) required for testing
BuildRequires:	stunnel
BuildRequires:  pkgconfig(libnghttp2) >= 1.7.1
Provides:	webfetch
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

This version is compiled with SSL (https) support.

%package -n	%{libname}
Summary:	A library of functions for file transfer
Group:		Networking/Other
Requires:	rootcerts >= 1:20070713.00

%description -n	%{libname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you plan to use any applications that
use libcurl.

%package -n	%{develname}
Summary:	Header files and static libraries for libcurl
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libcurl%{major}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 4 -d
Provides:	%mklibname %{name} 4 -d

%description -n	%{develname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that
use libcurl.

%package	examples
Summary:	Example files for %{name} development
Group:		Development/C
BuildArch:	noarch
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description	examples
Example files for %{name} development.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fiv

%configure2_5x \
	--disable-static \
	--with-ssl \
	--without-gnutls \
	--with-zlib \
	--with-lber-lib=lber \
	--with-ssh2 \
	--with-random \
	--enable-hidden-symbols \
	--enable-optimize \
	--enable-nonblocking \
	--enable-thread \
	--enable-crypto-auth \
	--enable-libgcc \
	--enable-ldaps \
	--enable-ipv6 \
	--with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
	--with-gssapi=%{_prefix} \
	--disable-ares \
	--with-nghttp2=%{_prefix}

# we don't want them in curl-examples:
rm -r docs/examples/.deps

%make_build

%ifnarch %arm
# disable tests that want to connect/run sshd, which is quite impossible
%check
make test TEST_Q='-a -p -v !flaky !SCP !SFTP !SOCKS4 !SOCKS5 !TFTP !198 !2034 !1139 !1140'
%endif

%install
%make_install

# [july 2008] HACK. to be replaced by a real fix
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_bindir}/%{name}-config
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_libdir}/pkgconfig/*.pc

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

find %{buildroot} -name *.la -delete

%files
%{_bindir}/curl
%{_mandir}/man1/curl.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc docs/BUGS docs/KNOWN_BUGS docs/CONTRIBUTE.md docs/FAQ CHANGES
%doc docs/FEATURES docs/RESOURCES docs/TODO docs/THANKS docs/INTERNALS.md
%{_bindir}/curl-config
%{multiarch_bindir}/curl-config
%{_datadir}/aclocal/libcurl.m4
%{_libdir}/libcurl.so
%{_includedir}/curl
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*

%files examples
%defattr(-,root,root,644)
%doc docs/examples


%changelog
* Wed Dec 27 2017 luigiwalser <luigiwalser> 1:7.54.1-2.4.mga6
+ Revision: 1185973
- rediff upstream patches to fix CVE-2017-8817 and CVE-2017-1000254
- add upstream patches to fix CVE-2017-8816 and CVE-2017-1000257

  + neoclust <neoclust>
    - Add P10/P11 - Fixes CVE-2017-100010[01] ( mga#21481)
    - Add P9 - Fixes CVE-2017-1000099 (mga#21481)

* Mon Jun 19 2017 pterjan <pterjan> 1:7.54.1-2.mga6
+ Revision: 1107893
- Add upstream patch ixing a segfault introduced in 7.54.1

* Wed Jun 14 2017 luigiwalser <luigiwalser> 1:7.54.1-1.mga6
+ Revision: 1107660
- 7.54.1

* Wed Apr 19 2017 luigiwalser <luigiwalser> 1:7.54.0-1.mga6
+ Revision: 1096785
- 7.54.0 (fixes CVE-2017-7468)
- remove patch 6 (may no longer be needed)
- remove upstream CVE-2017-7407 patch

* Wed Apr 05 2017 luigiwalser <luigiwalser> 1:7.53.1-1.mga6
+ Revision: 1095934
- add upstream patch to fix CVE-2017-7407
- 7.53.1

* Wed Feb 22 2017 luigiwalser <luigiwalser> 1:7.53.0-1.mga6
+ Revision: 1087333
- 7.53.0
- rediff patch 6

* Fri Dec 23 2016 luigiwalser <luigiwalser> 1:7.52.1-1.mga6
+ Revision: 1076630
- 7.52.1

* Wed Dec 21 2016 luigiwalser <luigiwalser> 1:7.52.0-1.mga6
+ Revision: 1076294
- 7.52.0
- rediff patch 6

* Wed Nov 02 2016 luigiwalser <luigiwalser> 1:7.51.0-1.mga6
+ Revision: 1064730
- 7.51.0
- rediff patch 6

* Wed Sep 14 2016 luigiwalser <luigiwalser> 1:7.50.3-1.mga6
+ Revision: 1052886
- 7.50.3

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1:7.50.2-1.mga6
+ Revision: 1050327
- 7.50.2
- rediff patch 6

* Thu Aug 04 2016 neoclust <neoclust> 1:7.50.1-2.mga6
+ Revision: 1044425
- Disable tests on arm for the moment

* Wed Aug 03 2016 luigiwalser <luigiwalser> 1:7.50.1-1.mga6
+ Revision: 1044375
- 7.50.1

* Sun Jul 31 2016 daviddavid <daviddavid> 1:7.50.0-2.mga6
+ Revision: 1044154
- add upstream patch to revert 9adf3c4 and make public types void * again
  * https://github.com/curl/curl/issues/926

* Thu Jul 21 2016 luigiwalser <luigiwalser> 1:7.50.0-1.mga6
+ Revision: 1042998
- 7.50.0

* Mon May 30 2016 luigiwalser <luigiwalser> 1:7.49.1-1.mga6
+ Revision: 1019441
- 7.49.1

* Wed May 18 2016 luigiwalser <luigiwalser> 1:7.49.0-1.mga6
+ Revision: 1016728
- rediff patch 6
- 7.49.0

* Wed Mar 23 2016 luigiwalser <luigiwalser> 1:7.48.0-1.mga6
+ Revision: 994622
- 7.48.0

* Tue Mar 15 2016 daviddavid <daviddavid> 1:7.47.1-6.mga6
+ Revision: 991020
- rename and rediff do-not-build-examples patch (since fixed autopatch)

* Wed Mar 02 2016 umeabot <umeabot> 1:7.47.1-5.mga6
+ Revision: 983179
- Rebuild for openssl

* Wed Mar 02 2016 joequant <joequant> 1:7.47.1-4.mga6
+ Revision: 983076
- rebuild with new openssl so that virtualbox doesn't fail with unknown symbol

* Thu Feb 25 2016 oden <oden> 1:7.47.1-3.mga6
+ Revision: 978876
- rebuild

* Wed Feb 24 2016 oden <oden> 1:7.47.1-2.mga6
+ Revision: 978540
- enable HTTP/2 (https://daniel.haxx.se/http2/)

* Mon Feb 08 2016 luigiwalser <luigiwalser> 1:7.47.1-1.mga6
+ Revision: 950856
- 7.47.1

* Wed Jan 27 2016 luigiwalser <luigiwalser> 1:7.47.0-1.mga6
+ Revision: 928186
- 7.47.0 (fixes CVE-2016-0755)

* Wed Dec 02 2015 luigiwalser <luigiwalser> 1:7.46.0-1.mga6
+ Revision: 907739
- 7.46.0

* Thu Nov 19 2015 luigiwalser <luigiwalser> 1:7.45.0-1.mga6
+ Revision: 904334
- 7.45.0

* Sat Aug 22 2015 tmb <tmb> 1:7.44.0-1.mga6
+ Revision: 868108
- 7.44.0
- rebuild for new gcc

* Mon Jul 06 2015 luigiwalser <luigiwalser> 1:7.43.0-2.mga6
+ Revision: 851855
- rebuild without libidn support to mitigate CVE-2015-2059

* Sat Jun 20 2015 shlomif <shlomif> 1:7.43.0-1.mga6
+ Revision: 836478
- New version 7.43.0

* Wed Jun 17 2015 luigiwalser <luigiwalser> 1:7.40.0-4.mga6
+ Revision: 823178
- add upstream patches to fix CVE-2015-3236 and CVE-2015-3237

* Wed Apr 29 2015 luigiwalser <luigiwalser> 1:7.40.0-3.mga5
+ Revision: 820853
- add upstream patch to fix CVE-2015-3153

* Wed Apr 22 2015 luigiwalser <luigiwalser> 1:7.40.0-2.mga5
+ Revision: 820538
- add upstream patches to fix CVE-2015-314[3458]

* Thu Jan 08 2015 luigiwalser <luigiwalser> 1:7.40.0-1.mga5
+ Revision: 809362
- 7.40.0 (fixes CVE-2014-8150)

* Fri Jan 02 2015 pterjan <pterjan> 1:7.39.0-2.mga5
+ Revision: 808219
- Add Fedora patch preventing configure script from discarding -g in CFLAGS

* Thu Nov 06 2014 luigiwalser <luigiwalser> 1:7.39.0-1.mga5
+ Revision: 795948
- 7.39.0
- disable unreliable test 2034

* Thu Nov 06 2014 luigiwalser <luigiwalser> 1:7.38.0-5.mga5
+ Revision: 795898
- rediff upstream patch to fix CVE-2014-3707

  + danf <danf>
    - Skip flaky tests in %%check

* Wed Oct 15 2014 umeabot <umeabot> 1:7.38.0-4.mga5
+ Revision: 745554
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:7.38.0-3.mga5
+ Revision: 693716
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:7.38.0-2.mga5
+ Revision: 678639
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 luigiwalser <luigiwalser> 1:7.38.0-1.mga5
+ Revision: 674545
- 7.38.0

* Thu Jul 17 2014 luigiwalser <luigiwalser> 1:7.37.1-1.mga5
+ Revision: 653461
- 7.37.1

* Wed May 21 2014 luigiwalser <luigiwalser> 1:7.37.0-1.mga5
+ Revision: 624736
- 7.37.0

* Wed Mar 26 2014 luigiwalser <luigiwalser> 1:7.36.0-1.mga5
+ Revision: 608748
- 7.36.0

* Tue Feb 04 2014 fwang <fwang> 1:7.35.0-1.mga5
+ Revision: 581451
- new version 7.35.0

* Tue Dec 17 2013 luigiwalser <luigiwalser> 1:7.34.0-1.mga4
+ Revision: 558348
- 7.34.0
- remove upstream patch

* Tue Oct 22 2013 umeabot <umeabot> 1:7.33.0-2.mga4
+ Revision: 545335
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 1:7.33.0-1.mga4
+ Revision: 501156
- 7.33.0

* Mon Aug 12 2013 luigiwalser <luigiwalser> 1:7.32.0-1.mga4
+ Revision: 465943
- 7.32.0

* Sun Jun 23 2013 fwang <fwang> 1:7.31.0-1.mga4
+ Revision: 445818
- new version 7.31.0

* Fri May 24 2013 luigiwalser <luigiwalser> 1:7.30.0-1.mga4
+ Revision: 426641
- 7.30.0
- remove upstream patches 3, 7, 8, 9
- re-diff patch 4

* Fri Apr 12 2013 luigiwalser <luigiwalser> 1:7.28.1-6.mga3
+ Revision: 409817
- add upstream patch to fix CVE-2013-1944

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1:7.28.1-5.mga3
+ Revision: 394891
- add upstream patch to fix CVE-2013-0249

* Fri Jan 11 2013 umeabot <umeabot> 1:7.28.1-4.mga3
+ Revision: 348491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 sander85 <sander85> 1:7.28.1-3.mga3
+ Revision: 341227
- Comment out AC_CONFIG_MACRO_DIR to fix build

  + fwang <fwang>
    - another patch
    - fix build with automake 1.13

* Thu Dec 27 2012 pterjan <pterjan> 1:7.28.1-2.mga3
+ Revision: 335560
- Remove useless docdir entry breaking with new rpm

* Tue Nov 20 2012 fwang <fwang> 1:7.28.1-1.mga3
+ Revision: 319747
- new version 7.28.1

* Thu Oct 11 2012 luigiwalser <luigiwalser> 1:7.28.0-1.mga3
+ Revision: 304554
- 7.28.0

* Sat Jul 28 2012 fwang <fwang> 1:7.27.0-1.mga3
+ Revision: 275157
- rediff privlibs patch
- new version 7.27.0

* Mon May 28 2012 fwang <fwang> 1:7.26.0-1.mga3
+ Revision: 247663
- update file list
- add back patch
- fix patches
- new version 7.26.0
- examples is a noarch pacakge

* Thu Jan 26 2012 fwang <fwang> 1:7.24.0-1.mga2
+ Revision: 201713
- new version 7.24.0

* Fri Nov 25 2011 fwang <fwang> 1:7.23.1-2.mga2
+ Revision: 171781
- add lber libname
- drop .la files

* Fri Nov 18 2011 fwang <fwang> 1:7.23.1-1.mga2
+ Revision: 168658
- new version 7.23.1

* Wed Nov 16 2011 fwang <fwang> 1:7.23.0-1.mga2
+ Revision: 168062
- new version 7.23.0

* Wed Sep 14 2011 fwang <fwang> 1:7.22.0-1.mga2
+ Revision: 143120
- new version 7.22.0

* Wed Jul 06 2011 dams <dams> 1:7.21.7-1.mga2
+ Revision: 119481
- update to 7.21.7
- avoid pulling 32-bit librairies on 64-bit arch

* Thu Jun 09 2011 dams <dams> 1:7.21.6-1.mga2
+ Revision: 102379
- update to 7.21.6 to fix --version

* Wed Apr 20 2011 pterjan <pterjan> 1:7.21.5-1.mga1
+ Revision: 89223
- Update to 7.21.5

* Wed Apr 13 2011 tv <tv> 1:7.21.4-1.mga1
+ Revision: 84544
- new release
- drop patch 1

* Sun Jan 09 2011 blino <blino> 1:7.21.2-2.mga1
+ Revision: 3738
- remove old version checks and ldconfig scriptlets

  + kharec <kharec>
    - imported package curl


* Wed Oct 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1:7.21.2-1mdv2011.0
+ Revision: 585378
- 7.21.2

* Fri Aug 13 2010 Funda Wang <fwang@mandriva.org> 1:7.21.1-1mdv2011.0
+ Revision: 569377
- new version 7.21.1

* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.21.0-1mdv2011.0
+ Revision: 550163
- ipdate to new version 7.21.0
- drop patch 5

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:7.20.1-2mdv2010.1
+ Revision: 540021
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Funda Wang <fwang@mandriva.org> 1:7.20.1-1mdv2010.1
+ Revision: 536086
- New version 7.20.1

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 1:7.20.0-3mdv2010.1
+ Revision: 531736
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1:7.20.0-2mdv2010.1
+ Revision: 511556
- rebuilt against openssl-0.9.8m

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1:7.20.0-1mdv2010.1
+ Revision: 503522
- New version 7.20.0

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1:7.19.7-1mdv2010.1
+ Revision: 462773
- New version 7.19.7

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.19.6-3mdv2010.0
+ Revision: 455686
- reeanble OpenSSL support instead of GnuTLS (mdvbz #49415)

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.19.6-2mdv2010.0
+ Revision: 439031
- disable c-ares support (mdvbz #47680)

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1:7.19.6-1mdv2010.0
+ Revision: 415707
- Update to new version 7.19.6
- Remove gnutls 2.8 patch: not needed anymore

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 1:7.19.5-3mdv2010.0
+ Revision: 381484
- fix gnutls patch

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 1:7.19.5-2mdv2010.0
+ Revision: 381444
- build with latest gnutls 2.8

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1:7.19.5-1mdv2010.0
+ Revision: 377804
- Update to new version 7.19.5

* Sat Mar 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.19.4-1mdv2009.1
+ Revision: 350719
- update to new version
- drop some libtool hacks

* Sun Jan 25 2009 Funda Wang <fwang@mandriva.org> 1:7.19.3-1mdv2009.1
+ Revision: 333367
- BR our own libtool

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 7.19.3

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1:7.19.2-2mdv2009.1
+ Revision: 314898
- rebuild
- rediffed one fuzzy patch

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.19.2-1mdv2009.1
+ Revision: 307485
- disable test 198 and TFTP , as it fails while building in iurt chroot
  > - use GnuTLS instead of OpenSSL
  > - enable optimizations
  > - enable support for c-ares
- update to new version 7.19.2
- update to new version 7.19.1
- patch 7 was applied by upstream

* Fri Oct 24 2008 Adam Williamson <awilliamson@mandriva.org> 1:7.19.0-3mdv2009.1
+ Revision: 296893
- from upstream CVS: add turkish.patch (backported), to fix a string comparison
  bug which ultimately resulted in MCC being unable to render icons in Turkish
  locale (MDV bug #44710)

* Mon Sep 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.19.0-2mdv2009.0
+ Revision: 282826
- drop patch2, fixed differently by upstream

* Thu Sep 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.19.0-1mdv2009.0
+ Revision: 280095
- update to new version 7.19.0
- Patch2: rediff
- Patch5: patch configure.ac to pass -llber to LIBS if found and LDAP support is enabled

* Wed Jul 02 2008 Pixel <pixel@mandriva.com> 1:7.18.2-3mdv2009.0
+ Revision: 230745
- do not export --no-undefined in curl-config/libcurl.pc
- allow to rpmbuild --without build

* Mon Jun 16 2008 Anssi Hannula <anssi@mandriva.org> 1:7.18.2-2mdv2009.0
+ Revision: 219521
- re-enable --no-undefined and add fix-underlinking.patch

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.18.2-1mdv2009.0
+ Revision: 216302
- enable support for ipv6
- disable --no-undefinied as it fails on ldap part
- update to new version 7.18.2

* Tue Apr 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.18.1-1mdv2009.0
+ Revision: 192382
- new version

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 1:7.18.0-1mdv2008.1
+ Revision: 159627
- New version 7.18.0

* Thu Jan 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-10mdv2008.1
+ Revision: 157617
+ rebuild (emptylog)

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-9mdv2008.1
+ Revision: 157221
- sync with Fedora patches
- license is now BSD-like
- mark curl-config as a multiarch binary
- do not obsolete devel library by itself

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 1:7.17.1-8mdv2008.1
+ Revision: 136160
- rebuild for new libldap

* Thu Dec 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1:7.17.1-7mdv2008.1
+ Revision: 135416
- fix deps (whoops!)
- use the correct syntax for the rootcerts dependency

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-6mdv2008.1
+ Revision: 119597
- move requires of rootcerts to the library
- compile with kerberos support
- add some options to the configure

* Thu Dec 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-5mdv2008.1
+ Revision: 119182
- enable OpenLDAP support (fixes bug #35919)
- use rootcerts certificates (fixes bug #35917)

* Wed Nov 14 2007 Funda Wang <fwang@mandriva.org> 1:7.17.1-4mdv2008.1
+ Revision: 108624
- fix requirs of example package

* Mon Nov 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-3mdv2008.1
+ Revision: 106222
- rebuild for lzma permissions issue (#35309)
- manpages had wrong permissions due to lzma bug ##35309

* Fri Nov 02 2007 Funda Wang <fwang@mandriva.org> 1:7.17.1-2mdv2008.1
+ Revision: 105095
- Merge spec changes from bug#35225 (run regression check when building)

* Mon Oct 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-1mdv2008.1
+ Revision: 103651
- new version

* Sat Oct 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.0-1mdv2008.1
+ Revision: 102482
- disable check, because they want to connect to or run sshd, and this is quite impossible in mdv's buildsystem (other tests are fine and passes)
- new version
- kill patches 2 and 6
- remove old patch entries
- remove libtoolize, use macros for configure script
- enable checks by default
- compile with unchanged optflags
- remove rpath
- move examples from devel package to its own
- all docs goes to devel package
- compile with support for libssh
- spec file clean

* Fri Aug 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.4-2mdv2008.0
+ Revision: 58744
- provide patch 6 (hopefully fixes bug #32261)

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.4-1mdv2008.0
+ Revision: 51466
- new version

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.3-1mdv2008.0
+ Revision: 44577
- new version
- new devel library policy
- spec file clean

* Mon May 21 2007 Jérôme Soyer <saispo@mandriva.org> 1:7.16.2-1mdv2008.0
+ Revision: 29220
- Sync
- Build without test


* Mon Apr 02 2007 Adam Williamson <awilliamson@mandriva.com> 7.16.0-9mdv2007.1
+ Revision: 150180
- fix patch5 (remove header change)
- bump release
- patch5 (CVS): fix -f with username / password in URL (fixes Club urpmi media with curl)

* Wed Feb 14 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:7.16.0-8mdv2007.1
+ Revision: 120832
- fix tests (CVS)

* Sat Jan 13 2007 Olivier Blin <oblin@mandriva.com> 1:7.16.0-7mdv2007.1
+ Revision: 108344
- set magic number for easy handles (fix git-http-fetch with curl)
- bunzip2 patches

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix group

  + Pixel <pixel@mandriva.com>
    - fix group (#28147)

* Fri Dec 01 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-5mdv2007.1
+ Revision: 89669
- bump release
- one more provides for libcurl-devel

* Mon Nov 27 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-4mdv2007.1
+ Revision: 87654
- new release
- one more provides for the devel package

  + Michael Scherer <misc@mandriva.org>
    - move check in their own section %%check

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-3mdv2007.1
+ Revision: 86681
- final update to 7.16.0
- this is our default devel library now (7.16.0, soname 4)

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.15.5-3mdv2007.1
+ Revision: 86627
- drop devel provides for this version of libcurl: major
  4 is the next one
- include epoch in provides and requires also

  + Götz Waschk <waschk@mandriva.org>
    - fix file list

* Wed Nov 22 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.15.5-2mdv2007.1
+ Revision: 86445
- revert 7.16.0 update: we need libcurl.so.3 around for a while

  + Anssi Hannula <anssi@mandriva.org>
    - ensure library major correctness

* Wed Nov 22 2006 Pixel <pixel@mandriva.com> 7.16.0-2mdv2007.1
+ Revision: 86270
- library major is now 4 (libcurl.so.4)

* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 7.16.0-1mdv2007.1
+ Revision: 86135
- New release 7.16.0
- Import curl

* Fri Aug 18 2006 Jerome Soyer <saispo@mandriva.org> 7.15.5-1mdv2007.0
- New release 7.15.5

* Thu Jun 22 2006 Jerome Soyer <saispo@mandriva.org> 7.15.4-1mdv2007.0
- New release 7.15.4

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.3-1mdk
- New version 7.15.3

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-3mdk
- Add libidn in buildrequires

* Wed Mar 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-2mdk
- Skip test 252 for x86_64

* Tue Feb 28 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-1mdk
- 7.15.2
- Don't skip test 241

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 7.15.1-2mdk
- rebuilt to fix one /lib6464 issue in openssl-devel

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.1-1mdk
- New version 7.15.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 7.15.0-2mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.0-1mdk
- 7.15.0
- Fix build issue on x86_64 (Oden)

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.1-1mdk
- New version
- Now OK with valgrind

* Wed May 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.0-2mdk
- Make curl require libcurl of same version
- Remove special case for test 517 on x86_64 and disable patch 2

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.0-1mdk
- 7.14.0
- Force -O0 on CFLAGS, otherwise the produced executable segfaults

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-1mdk
- 7.13.2
- Remove patch 3, merged upstream

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.1-2mdk
- Patch 3: curl was writing Last-Modified-Since header to files downloaded
  from FTP with the -R option

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.1-1mdk
- New version.

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 7.13.0-2mdk
- 64-bit fixes in the testsuite for curl_getdate() with 64-bit time_t

* Tue Feb 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.0-1mdk
- New release
- Remove patch 2

* Mon Jan 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 7.12.3-2mdk
- patch2 (from cvs): fix segfault on ppc

* Mon Dec 20 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.3-1mdk
- New version
- Skip (new) test 241

* Mon Nov 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.2-1mdk
- New version 7.12.2
- Remove patch 0

* Wed Aug 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.1-1mdk
- New version 7.12.1

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.0-1mdk
- New version 7.12.0

* Mon May 24 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 7.11.2-2mdk
- use lib/progress.c from cvs to have working percentage of download
  to have it working in urpmi

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 7.11.2-1mdk
- New release 7.11.2
- remove not really documented oneliner

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 7.11.1-1mdk
- New release 7.11.1
- add BuildRequires

